<?php

namespace HCM\PTO\Logic\AFD;

/**
 * Exportador AFD. Gera os registros a partir de layouts especificos
 * 
 * 
 */

abstract class Exportador extends Manipulador {
    /** @var GeradorNomeArquivo */
    private $geradorNome;
    
    public function __construct(\Doctrine\ORM\EntityManager $entityManager, Parametros $parametros, GeradorNomeArquivo $geradorNome) {
        parent::__construct($entityManager, $parametros);
        $this->geradorNome = $geradorNome;
    }
    /**
     * Gera o conteudo do arquivo AFD
     * @return string
     */
    public abstract function gerarConteudoArquivo(): string;
    
    /**
     * Gera o conteudo do arquivo AFD
     * @return string
     */
    public function gerarNomeArquivo(): string {
        return $this->geradorNome->gerarNome();
    }
}