<?php
namespace HCM\VAB\Services;

use Doctrine\ORM\EntityManager;
use HCM\Util\DateUtil;
use HCM\Util\HCMParameters;
use HCM\Util\Repositories;

class ParametroValeTransporteService {
    
    public function __construct(EntityManager $entityManager, HCMParameters $hcmParameters) {
        $this->entityManager = $entityManager;
        $this->hcmParameters = $hcmParameters;
    }
    
    public function retornaUltHistoricoParamVale($nrorg, $dtmescompetenc){
        $historico = $this->entityManager->getRepository(Repositories::VAB_PARAMVALEH)->retornaUltHistoricoParamVale($nrorg, $dtmescompetenc);

        if(!empty($historico)){
            return $historico;
        }
        
        return;
    }
    
    public function deleteParametroVale($dataset) {
        try {
            $this->entityManager->beginTransaction();
            $parametroValeh = $this->entityManager->getRepository(Repositories::VAB_PARAMVALEH)->findOneBy(array("nrparamvalem" => $dataset[0]['NRPARAMVALEM'], "nrparamvaleh" => $dataset[0]['NRPARAMVALEH']));
            $this->entityManager->remove($parametroValeh);
            $this->entityManager->flush();
            $parametroValehh = $this->entityManager->getRepository(Repositories::VAB_PARAMVALEH)->findOneBy(array("nrparamvalem" => $dataset[0]['NRPARAMVALEM']));
            if(empty($parametroValehh)) {
                $parametroValem = $this->entityManager->getRepository(Repositories::VAB_PARAMVALEM)->findOneBy(array("nrparamvalem" => $dataset[0]['NRPARAMVALEM'],"nrorg" => $dataset[0]['NRORG']));
                $this->entityManager->remove($parametroValem);
                $this->entityManager->flush();
            }
            $this->entityManager->commit();
        } catch (\Exception $e) {            
            $this->entityManager->rollback();
            throw $e;
        }
    }
    
}  