-- ============================================================
--   Database name:  GPE_TRE                                   
--   DBMS name:      ORACLE Version 7.x float                  
--   Created on:     02/06/2017  12:15                         
-- ============================================================

-- ============================================================
--   Table: GPE_TIPOCURSO                                      
-- ============================================================
create table GPE_TIPOCURSO
(
    NRORG                   NUMBER                 not null,
    NRTIPOCURSO             NUMBER                 not null,
    NMTIPOCURSO             VARCHAR2(100)          null    ,
    IDATIVO                 VARCHAR2(1)            default 'S' not null,
    DTINCLUSAO              DATE                   not null,
    DTULTATU                DATE                   null    ,
    NRORGINCLUSAO           NUMBER(22)             default 1 null    ,
    CDOPERINCLUSAO          VARCHAR2(12)           default '1' null    ,
    NRORGULTATU             NUMBER(22)             default 1 null    ,
    CDOPERULTATU            VARCHAR2(12)           default '1' null    ,	
    constraint PK_GPE_TIPOCURSO primary key (NRORG, NRTIPOCURSO)
)
/

-- ============================================================
--   Table: GPE_METODO_TRE                                     
-- ============================================================
create table GPE_METODO_TRE
(
    NRORG                   NUMBER                 not null,
    NRMETODOTRE             NUMBER                 not null,
    NMMETODOTRE             VARCHAR2(100)          not null,
    DTINCLUSAO              DATE                   not null,
    DTULTATU                DATE                   null    ,
    NRORGINCLUSAO           NUMBER(22)             default 1 null    ,
    CDOPERINCLUSAO          VARCHAR2(12)           default '1' null    ,
    NRORGULTATU             NUMBER(22)             default 1 null    ,
    CDOPERULTATU            VARCHAR2(12)           default '1' null    ,		
    constraint PK_GPE_METODO_TRE primary key (NRORG, NRMETODOTRE)
)
/

-- ============================================================
--   Table: GPE_PERFILCURSO                                    
-- ============================================================
create table GPE_PERFILCURSO
(
    NRORG                   NUMBER                 not null,
    NRPERFILCURSO           NUMBER                 not null,
    NMPERFILCURSO           VARCHAR2(100)          not null,
    DTINCLUSAO              DATE                   not null,
    DTULTATU                DATE                   null    ,
    NRORGINCLUSAO           NUMBER(22)             default 1 null    ,
    CDOPERINCLUSAO          VARCHAR2(12)           default '1' null    ,
    NRORGULTATU             NUMBER(22)             default 1 null    ,
    CDOPERULTATU            VARCHAR2(12)           default '1' null    ,		
    constraint PK_GPE_PERFILCURSO primary key (NRORG, NRPERFILCURSO)
)
/

-- ============================================================
--   Table: GPE_TPCUSTOTRE                                     
-- ============================================================
create table GPE_TPCUSTOTRE
(
    NRORG                   NUMBER                 not null,
    NRTPCUSTOTRE            NUMBER                 not null,
    NMTPCUSTOTRE            VARCHAR2(100)          not null,
    DTINCLUSAO              DATE                   not null,
    DTULTATU                DATE                   null    ,
    NRORGINCLUSAO           NUMBER(22)             default 1 null    ,
    CDOPERINCLUSAO          VARCHAR2(12)           default '1' null    ,
    NRORGULTATU             NUMBER(22)             default 1 null    ,
    CDOPERULTATU            VARCHAR2(12)           default '1' null    ,			
    constraint PK_GPE_TPCUSTOTRE primary key (NRORG, NRTPCUSTOTRE)
)
/

-- ============================================================
--   Table: GPE_CONFIGCURSO                                    
-- ============================================================
create table GPE_CONFIGCURSO
(
    NRORG                   NUMBER                 not null,
    NRCONFIGCURSO           NUMBER                 not null,
    NRPERFACESAPROV         NUMBER                 null    ,
    NRPERFACESEXEC          NUMBER                 null    ,
    NMCONFIGCURSO           VARCHAR2(100)          null    ,
    DTINCLUSAO              DATE                   not null,
    DTULTATU                DATE                   null    ,
    NRORGINCLUSAO           NUMBER(22)             default 1 null    ,
    CDOPERINCLUSAO          VARCHAR2(12)           default '1' null    ,
    NRORGULTATU             NUMBER(22)             default 1 null    ,
    CDOPERULTATU            VARCHAR2(12)           default '1' null    ,				
    constraint PK_GPE_CONFIGCURSO primary key (NRORG, NRCONFIGCURSO)
)
/

-- ============================================================
--   Index: GPE_TRE_353886_FK                                  
-- ============================================================
create index GPE_TRE_353886_FK on GPE_CONFIGCURSO (NRORG asc, NRPERFACESAPROV asc)
/

-- ============================================================
--   Index: GPE_TRE_353888_FK                                  
-- ============================================================
create index GPE_TRE_353888_FK on GPE_CONFIGCURSO (NRORG asc, NRPERFACESEXEC asc)
/

-- ============================================================
--   Table: GPE_CURSO                                          
-- ============================================================
ALTER TABLE GPE_CURSO ADD QTCARGAHORARIA          FLOAT                  null
/

ALTER TABLE GPE_CURSO ADD DSOBJETIVOCURSO         VARCHAR2(4000)         null
/

ALTER TABLE GPE_CURSO ADD DSOBSERVACAOCURSO       VARCHAR2(4000)         null
/

ALTER TABLE GPE_CURSO add NRTIPOCURSO NUMBER
/

ALTER TABLE GPE_CURSO add NRCONFIGCURSO NUMBER
/


ALTER TABLE GPE_CURSO ADD NRCONFIGCURSO

-- ============================================================
--   Index: GPE_TRE_353874_FK                                  
-- ============================================================
create index GPE_TRE_353874_FK on GPE_CURSO (NRORG ASC, NRTIPOCURSO asc)
/

-- ============================================================
--   Index: GPE_TRE_353889_FK                                  
-- ============================================================
-- ============================================================
create index GPE_TRE_353889_FK on GPE_CURSO (NRORG ASC, NRCONFIGCURSO asc)
/

-- ============================================================
--   Table: GPE_TREINAMENTO                                    
-- ============================================================
create table GPE_TREINAMENTO
(
	NRORG                   NUMBER                 not null,
    NRTREINAMENTO           NUMBER                 not null,
    NRCURSO                 NUMBER                 not null,
    NRPERFACESAPROV         NUMBER                 not null,
    NRPERFACESEXEC          NUMBER                 not null,
    NRMETODOTRE             NUMBER                 not null,
    NRPARCNEGAPROV          NUMBER                 not null,
    NRPARCINSTRUTOR         NUMBER                 null    ,
    NRTPCUSTOTRE            NUMBER                 null    ,
    NMTREINAMENTO           VARCHAR2(100)          not null,
    IDTREINAMENTOINT        VARCHAR2(1)            default 'S' not null
        constraint CKC_22 check (IDTREINAMENTOINT in ('N','S')),
    DTAPROVTREINAMENTO      DATE                   null    ,
    DSOBSAPROVTREINAMENTO   VARCHAR2(500)          null    ,
    DTINIPLANEJADOTRE       DATE                   not null,
    DTFIMPLANEJADOTRE       DATE                   not null,
    DTINIREALIZADOTRE       DATE                   null    ,
    DTFIMREALIZADOTRE       DATE                   null    ,
    DTVALIDADETREINAMENTO   DATE                   null    ,
    VRCUSTOPLATREINAMENTO   FLOAT                  null    ,
    VRCUSTOREALTREINAMENTO  FLOAT                  null    ,
    IDSTATUSTREINAMENTO     VARCHAR2(30)           not null,
    IDEFICACIATREINAMENTO   VARCHAR2(1)            default 'N' not null
        constraint CKC_33 check (IDEFICACIATREINAMENTO in ('S','N')),
    DSOBSEFICACIATRE        VARCHAR2(4000)         null    ,
    NRCRITERIORESUL         NUMBER                 null    ,
    DSOBSTREINAMENTO        VARCHAR2(4000)         null    ,
    DTINCLUSAO              DATE                   not null,
    DTULTATU                DATE                   null    ,
    NRORGINCLUSAO           NUMBER(22)             default 1 null    ,
    CDOPERINCLUSAO          VARCHAR2(12)           default '1' null    ,
    NRORGULTATU             NUMBER(22)             default 1 null    ,
    CDOPERULTATU            VARCHAR2(12)           default '1' null    ,					
    constraint PK_GPE_TREINAMENTO primary key (NRORG, NRTREINAMENTO)
)
/

-- ============================================================
--   Index: GPE_TRE_353890_FK                                  
-- ============================================================
create index GPE_TRE_353890_FK on GPE_TREINAMENTO (NRORG asc, NRCURSO asc)
/

-- ============================================================
--   Index: GPE_TRE_353891_FK                                  
-- ============================================================
create index GPE_TRE_353891_FK on GPE_TREINAMENTO (NRORG asc, NRPERFACESAPROV asc)
/

-- ============================================================
--   Index: GPE_TRE_353892_FK                                  
-- ============================================================
create index GPE_TRE_353892_FK on GPE_TREINAMENTO (NRORG asc, NRPERFACESEXEC asc)
/

-- ============================================================
--   Index: GPE_TRE_353898_FK                                  
-- ============================================================
create index GPE_TRE_353898_FK on GPE_TREINAMENTO (NRORG asc, NRMETODOTRE asc)
/

-- ============================================================
--   Index: GPE_TRE_353901_FK                                  
-- ============================================================
create index GPE_TRE_353901_FK on GPE_TREINAMENTO (NRORG asc, NRPARCNEGAPROV asc)
/

-- ============================================================
--   Index: GPE_TRE_360603_FK                                  
-- ============================================================
create index GPE_TRE_360603_FK on GPE_TREINAMENTO (NRORG asc, NRPARCINSTRUTOR asc)
/

-- ============================================================
--   Index: GPE_TRE_360645_FK                                  
-- ============================================================
create index GPE_TRE_360645_FK on GPE_TREINAMENTO (NRORG asc, NRTPCUSTOTRE asc)
/

-- ============================================================
--   Table: GPE_PERFILCURSOEST                                 
-- ============================================================
create table GPE_PERFILCURSOEST
(
	  NRORG                   NUMBER                 not null,
    NRPERFILCURSOESTRUT     NUMBER                 not null,
    NRESTRUTURAM            NUMBER                 not null,
    NRPERFILCURSO           NUMBER                 not null,
    IDPERFILCURSOESTRUT     VARCHAR2(30)           not null,
    DTINCLUSAO              DATE                   not null,
    DTULTATU                DATE                   null    ,
    NRORGINCLUSAO           NUMBER(22)             default 1 null    ,
    CDOPERINCLUSAO          VARCHAR2(12)           default '1' null    ,
    NRORGULTATU             NUMBER(22)             default 1 null    ,
    CDOPERULTATU            VARCHAR2(12)           default '1' null    ,						
        constraint CKC_76 check (IDPERFILCURSOESTRUT in ('REQUERIDO','DESEJAVEL')),
    constraint PK_GPE_PERFILCURSOEST primary key (NRORG, NRPERFILCURSOESTRUT)
)
/

-- ============================================================
--   Index: GPE_TRE_353926_FK                                  
-- ============================================================
create index GPE_TRE_353926_FK on GPE_PERFILCURSOEST (NRORG asc, NRESTRUTURAM asc)
/

-- ============================================================
--   Index: GPE_TRE_353927_FK                                  
-- ============================================================
create index GPE_TRE_353927_FK on GPE_PERFILCURSOEST (NRORG asc, NRPERFILCURSO asc)
/

-- ============================================================
--   Table: GPE_PERFILCURSOCUPA                                
-- ============================================================
create table GPE_PERFILCURSOCUPA
(
	NRORG                   NUMBER                 not null,
    NRPERFILCURSOOCUPA      NUMBER                 not null,
    NROCUPACAOM             NUMBER                 not null,
    NRPERFILCURSO           NUMBER                 not null,
    IDPERFILTREOCUPA        VARCHAR2(30)           not null,
    DTINCLUSAO              DATE                   not null,
    DTULTATU                DATE                   null    ,
    NRORGINCLUSAO           NUMBER(22)             default 1 null    ,
    CDOPERINCLUSAO          VARCHAR2(12)           default '1' null    ,
    NRORGULTATU             NUMBER(22)             default 1 null    ,
    CDOPERULTATU            VARCHAR2(12)           default '1' null    ,								
        constraint CKC_79 check (IDPERFILTREOCUPA in ('DESEJAVEL','REQUERIDO')),
    constraint PK_GPE_PERFILCURSOCUPA primary key (NRORG, NRPERFILCURSOOCUPA)
)
/

-- ============================================================
--   Index: GPE_TRE_353932_FK                                  
-- ============================================================
create index GPE_TRE_353932_FK on GPE_PERFILCURSOCUPA (NRORG asc, NROCUPACAOM asc)
/

-- ============================================================
--   Index: GPE_TRE_353937_FK                                  
-- ============================================================
create index GPE_TRE_353937_FK on GPE_PERFILCURSOCUPA (NRORG asc, NRPERFILCURSO asc)
/

-- ============================================================
--   Table: GPE_PERFILCURSOVINC                                
-- ============================================================
create table GPE_PERFILCURSOVINC
(
	NRORG                   NUMBER                 not null,
    NRPERFILCURSOVINCULO    NUMBER                 not null,
    NRVINCULOM              NUMBER                 not null,
    NRPERFILCURSO           NUMBER                 not null,
    IDPERFILCURSOVINCULO    VARCHAR2(30)           not null,
    DTINCLUSAO              DATE                   not null,
    DTULTATU                DATE                   null    ,
    NRORGINCLUSAO           NUMBER(22)             default 1 null    ,
    CDOPERINCLUSAO          VARCHAR2(12)           default '1' null    ,
    NRORGULTATU             NUMBER(22)             default 1 null    ,
    CDOPERULTATU            VARCHAR2(12)           default '1' null    ,										
        constraint CKC_82 check (IDPERFILCURSOVINCULO in ('DESEJAVEL','REQUERIDO')),
    constraint PK_GPE_PERFILCURSOVINC primary key (NRORG, NRPERFILCURSOVINCULO)
)
/

-- ============================================================
--   Index: GPE_TRE_353938_FK                                  
-- ============================================================
create index GPE_TRE_353938_FK on GPE_PERFILCURSOVINC (NRORG asc, NRVINCULOM asc)
/

-- ============================================================
--   Index: GPE_TRE_353940_FK                                  
-- ============================================================
create index GPE_TRE_353940_FK on GPE_PERFILCURSOVINC (NRORG asc, NRPERFILCURSO asc)
/

-- ============================================================
--   Table: GPE_CONTEUDOCURSO                                  
-- ============================================================
create table GPE_CONTEUDOCURSO
(
	NRORG                   NUMBER                 not null,
    NRCONTEUDOCURSO         NUMBER                 not null,
    NRCURSO                 NUMBER                 not null,
    NRCONTEUDOCURSOSUP      NUMBER                 null    ,
    NMCONTEUDOCURSO         VARCHAR2(100)          not null,
    QTHORCONTEUDOCURSO      FLOAT                  null    ,
    DSOBSCONTEUDOCURSO      VARCHAR2(4000)         null    ,
    DTINCLUSAO              DATE                   not null,
    DTULTATU                DATE                   null    ,
    NRORGINCLUSAO           NUMBER(22)             default 1 null    ,
    CDOPERINCLUSAO          VARCHAR2(12)           default '1' null    ,
    NRORGULTATU             NUMBER(22)             default 1 null    ,
    CDOPERULTATU            VARCHAR2(12)           default '1' null    ,											
    constraint PK_GPE_CONTEUDOCUR primary key (NRORG, NRCONTEUDOCURSO)
)
/

-- ============================================================
--   Index: GPE_TRE_353958_FK                                  
-- ============================================================
create index GPE_TRE_353958_FK on GPE_CONTEUDOCURSO (NRORG asc, NRCURSO asc)
/

-- ============================================================
--   Index: GPE_TRE_353959_FK                                  
-- ============================================================
create index GPE_TRE_353959_FK on GPE_CONTEUDOCURSO (NRORG asc, NRCONTEUDOCURSOSUP asc)
/

-- ============================================================
--   Table: GPE_AVALTREINAMENTO                                
-- ============================================================
create table GPE_AVALTREINAMENTO
(
	NRORG                   NUMBER                 not null,
    NRAVALTREINAMENTO       NUMBER                 not null,
    NRTREINAMENTO           NUMBER                 not null,
    NRAVALIACAO             NUMBER                 not null,
    DTINCLUSAO              DATE                   not null,
    DTULTATU                DATE                   null    ,
    NRORGINCLUSAO           NUMBER(22)             default 1 null    ,
    CDOPERINCLUSAO          VARCHAR2(12)           default '1' null    ,
    NRORGULTATU             NUMBER(22)             default 1 null    ,
    CDOPERULTATU            VARCHAR2(12)           default '1' null    ,												
    constraint PK_GPE_AVALTREINAM primary key (NRORG, NRAVALTREINAMENTO)
)
/

-- ============================================================
--   Index: GPE_TRE_360587_FK                                  
-- ============================================================
create index GPE_TRE_360587_FK on GPE_AVALTREINAMENTO (NRORG asc, NRTREINAMENTO asc)
/

-- ============================================================
--   Table: GPE_PARTICIPATRE                                   
-- ============================================================
create table GPE_PARTICIPATRE
(
	NRORG                   NUMBER                 not null,
    NRPARTICIPATRE          NUMBER                 not null,
    NRPARCNEGOCIO           NUMBER                 not null,
    NRTREINAMENTO           NUMBER                 not null,
    VRNOTAPARTICIPATRE      FLOAT                  null    ,
    VRPERFREQUENCIATRE      FLOAT                  null    ,
	CDTIPORESU              VARCHAR2(2)            null    ,
    DTINCLUSAO              DATE                   not null,
    DTULTATU                DATE                   null    ,
    NRORGINCLUSAO           NUMBER(22)             default 1 null    ,
    CDOPERINCLUSAO          VARCHAR2(12)           default '1' null    ,
    NRORGULTATU             NUMBER(22)             default 1 null    ,
    CDOPERULTATU            VARCHAR2(12)           default '1' null    ,													
    constraint PK_GPE_PARTICIPATR primary key (NRORG, NRPARTICIPATRE)
)
/

-- ============================================================
--   Index: GPE_TRE_360590_FK                                  
-- ============================================================
create index GPE_TRE_360590_FK on GPE_PARTICIPATRE (NRORG asc, NRPARCNEGOCIO asc)
/

-- ============================================================
--   Index: GPE_TRE_360591_FK                                  
-- ============================================================
create index GPE_TRE_360591_FK on GPE_PARTICIPATRE (NRORG asc, NRTREINAMENTO asc)
/

create index GPE_TRE_360592_FK on GPE_PARTICIPATRE (NRORG asc, CDTIPORESU asc)
/

-- ============================================================
--   Table: GPE_DESPESATRE                                     
-- ============================================================
create table GPE_DESPESATRE
(
	NRORG                   NUMBER                 not null,
    NRDESPESATRE            NUMBER                 not null,
    NRTPCUSTOTRE            NUMBER                 not null,
    NRTREINAMENTO           NUMBER                 not null,
    CDDESPADMFAT            VARCHAR2(2)            not null,
    VRPLANEJADODESPTRE      FLOAT                  not null,
    VRREALIZADODESPTRE      FLOAT                  null,
    DTINCLUSAO              DATE                   not null,
    DTULTATU                DATE                   null    ,
    NRORGINCLUSAO           NUMBER(22)             default 1 null    ,
    CDOPERINCLUSAO          VARCHAR2(12)           default '1' null    ,
    NRORGULTATU             NUMBER(22)             default 1 null    ,
    CDOPERULTATU            VARCHAR2(12)           default '1' null    ,														
    constraint PK_GPE_DESPESATRE primary key (NRORG, NRDESPESATRE)
)
/

-- ============================================================
--   Index: GPE_TRE_360619_FK                                  
-- ============================================================
create index GPE_TRE_360619_FK on GPE_DESPESATRE (NRORG asc, NRTPCUSTOTRE asc)
/

-- ============================================================
--   Index: GPE_TRE_360624_FK                                  
-- ============================================================
create index GPE_TRE_360624_FK on GPE_DESPESATRE (NRORG asc, NRTREINAMENTO asc)
/

-- ============================================================
--   Table: GPE_LOCALTREINAMENTO                               
-- ============================================================
create table GPE_LOCALTREINAMENTO
(
    NRORG                   NUMBER                 not null,
    NRLOCALTREINAMENTO      NUMBER                 not null,
    NRTREINAMENTO           NUMBER                 not null,
    NRESTRUTURAM            NUMBER                 not null,
    DTINILOCALTREINAMETNO   DATE                   not null,
    DTFINLOCALTREINAMENTO   DATE                   not null,
    DTINCLUSAO              DATE                   not null,
    DTULTATU                DATE                   null    ,
    NRORGINCLUSAO           NUMBER(22)             default 1 null    ,
    CDOPERINCLUSAO          VARCHAR2(12)           default '1' null    ,
    NRORGULTATU             NUMBER(22)             default 1 null    ,
    CDOPERULTATU            VARCHAR2(12)           default '1' null    ,															
    constraint PK_GPE_LOCALTREINA primary key (NRORG, NRLOCALTREINAMENTO)
)
/

-- ============================================================
--   Index: GPE_TRE_360632_FK                                  
-- ============================================================
create index GPE_TRE_360632_FK on GPE_LOCALTREINAMENTO (NRORG asc, NRTREINAMENTO asc)
/

-- ============================================================
--   Index: GPE_TRE_360633_FK                                  
-- ============================================================
create index GPE_TRE_360633_FK on GPE_LOCALTREINAMENTO (NRESTRUTURAM asc, NRORG asc)
/

-- ============================================================
--   Table: GPE_RESERVAPRODTRE                                 
-- ============================================================
create table GPE_RESERVAPRODTRE
(
    NRORG                   NUMBER                 not null,
    NRPRODUTOTRE            NUMBER                 not null,
    NRTREINAMENTO           NUMBER                 not null,
    CDPRODUTO               VARCHAR2(10)           not null,
    DTINIPRODUTOTRE         DATE                   not null,
    DTFINPRODUTOTRE         DATE                   not null,
    QTPRODUTOTRE            FLOAT                  not null,
    DTINCLUSAO              DATE                   not null,
    DTULTATU                DATE                   null    ,
    NRORGINCLUSAO           NUMBER(22)             default 1 null    ,
    CDOPERINCLUSAO          VARCHAR2(12)           default '1' null    ,
    NRORGULTATU             NUMBER(22)             default 1 null    ,
    CDOPERULTATU            VARCHAR2(12)           default '1' null    ,																
    constraint PK_GPE_RESERVAPROD primary key (NRORG, NRPRODUTOTRE)
)
/

-- ============================================================
--   Index: GPE_TRE_360643_FK                                  
-- ============================================================
create index GPE_TRE_360643_FK on GPE_RESERVAPRODTRE (NRORG asc, NRTREINAMENTO asc)
/

-- ============================================================
--   Index: GPE_TRE_360644_FK                                  
-- ============================================================
create index GPE_TRE_360644_FK on GPE_RESERVAPRODTRE (NRORG asc, CDPRODUTO asc)
/

-- ============================================================
--   Table: GPE_DOCUMENTOTRE                                   
-- ============================================================
create table GPE_DOCUMENTOTRE
(
    NRORG                   NUMBER                 not null,
    NRDOCUMENTOTRE          NUMBER                 not null,
    NRTREINAMENTO           NUMBER                 not null,
    NMDOCUMENTOTRE          VARCHAR2(100)          not null,
    DSREFDOCUMENTOTRE       VARCHAR2(100)          null    ,
    DSREFARQUIVOTRE         VARCHAR2(1000)         null    ,
    IDTPDOCUMENTOTRE        VARCHAR2(30)           not null,
    DTINCLUSAO              DATE                   not null,
    DTULTATU                DATE                   null    ,
    NRORGINCLUSAO           NUMBER(22)             default 1 null    ,
    CDOPERINCLUSAO          VARCHAR2(12)           default '1' null    ,
    NRORGULTATU             NUMBER(22)             default 1 null    ,
    CDOPERULTATU            VARCHAR2(12)           default '1' null    ,																	
    constraint PK_GPE_DOCUMENTOTR primary key (NRORG, NRDOCUMENTOTRE)
)
/

-- ============================================================
--   Index: GPE_TRE_360660_FK                                  
-- ============================================================
create index GPE_TRE_360660_FK on GPE_DOCUMENTOTRE (NRORG asc, NRTREINAMENTO asc)
/

-- ============================================================
--   Table: GPE_ITPERFILCURSO                                  
-- ============================================================
create table GPE_ITPERFILCURSO
(
    NRORG                   NUMBER                 not null,
    NRITPERFILCURSO         NUMBER                 not null,
    NRCURSO                 NUMBER                 not null,
    NRPERFILCURSO           NUMBER                 not null,
    QTPERIODOMESES          FLOAT                  not null,
    DTINCLUSAO              DATE                   not null,
    DTULTATU                DATE                   null    ,
    NRORGINCLUSAO           NUMBER(22)             default 1 null    ,
    CDOPERINCLUSAO          VARCHAR2(12)           default '1' null    ,
    NRORGULTATU             NUMBER(22)             default 1 null    ,
    CDOPERULTATU            VARCHAR2(12)           default '1' null    ,																		
    constraint PK_GPE_ITPERFILCUR primary key (NRORG, NRITPERFILCURSO)
)
/

-- ============================================================
--   Index: GPE_TRE_360668_FK                                  
-- ============================================================
create index GPE_TRE_360668_FK on GPE_ITPERFILCURSO (NRORG asc, NRCURSO asc)
/

-- ============================================================
--   Index: GPE_TRE_360673_FK                                  
-- ============================================================
create index GPE_TRE_360673_FK on GPE_ITPERFILCURSO (NRORG asc, NRPERFILCURSO asc)
/

alter table GPE_CONFIGCURSO
    add constraint FKPERFAPROPERFACES foreign key  (NRORG, NRPERFACESAPROV)
       references PERFILACESSO (NRORG, NRPERFILACESSO)
/

alter table GPE_CONFIGCURSO
    add constraint FKPERFEXECPERFACES foreign key  (NRORG, NRPERFACESEXEC)
       references PERFILACESSO (NRORG, NRPERFILACESSO)
/

alter table GPE_CURSO
    add constraint FKGPE_TRE_GPE_TIPO foreign key  (NRORG, NRTIPOCURSO)
       references GPE_TIPOCURSO (NRORG, NRTIPOCURSO)
/

alter table GPE_CURSO
    add constraint FKGPE_TRE_GPE_CONF foreign key  (NRORG, NRCONFIGCURSO)
       references GPE_CONFIGCURSO (NRORG, NRCONFIGCURSO)
/

alter table GPE_TREINAMENTO
    add constraint FKGPE_TRE_TREI_CURS foreign key  (NRORG, NRCURSO)
       references GPE_CURSO (NRORG, NRCURSO)
/

alter table GPE_TREINAMENTO
    add constraint FKGPE_TRE_PERFACES foreign key  (NRORG, NRPERFACESAPROV)
       references PERFILACESSO (NRORG, NRPERFILACESSO)
/

alter table GPE_TREINAMENTO
    add constraint FKTRE_3538PERFACES foreign key  (NRORG, NRPERFACESEXEC)
       references PERFILACESSO (NRORG, NRPERFILACESSO)
/

alter table GPE_TREINAMENTO
    add constraint FKGPE_TRE_GPE_METO foreign key  (NRORG, NRMETODOTRE)
       references GPE_METODO_TRE (NRORG, NRMETODOTRE)
/

alter table GPE_TREINAMENTO
    add constraint FKTRE_3539PARCNEGO foreign key  (NRORG, NRPARCNEGAPROV)
       references PARCNEGOCIO (NRORG, NRPARCNEGOCIO)
/

alter table GPE_TREINAMENTO
    add constraint FKTRE_3606PARCNEGO foreign key  (NRORG, NRPARCINSTRUTOR)
       references PARCNEGOCIO (NRORG, NRPARCNEGOCIO)
/

alter table GPE_TREINAMENTO
    add constraint FKGPE_TRE_TRE_TPCU foreign key  (NRORG, NRTPCUSTOTRE)
       references GPE_TPCUSTOTRE (NRORG, NRTPCUSTOTRE)
/

alter table GPE_PERFILCURSOEST
    add constraint FKGPE_TRE_ESTRUTUR foreign key  (NRESTRUTURAM, NRORG)
       references ESTRUTURAM (NRESTRUTURAM, NRORG)
/

alter table GPE_PERFILCURSOEST
    add constraint FKTREPERFEGPE_PERF foreign key  (NRORG, NRPERFILCURSO)
       references GPE_PERFILCURSO (NRORG, NRPERFILCURSO)
/

alter table GPE_PERFILCURSOCUPA
    add constraint FKGPE_TRE_GPE_OCUP foreign key  (NRORG, NROCUPACAOM)
       references GPE_OCUPACAOM (NRORG, NROCUPACAOM)
/

alter table GPE_PERFILCURSOCUPA
    add constraint FKTREPERFOGPE_PERF foreign key  (NRORG, NRPERFILCURSO)
       references GPE_PERFILCURSO (NRORG, NRPERFILCURSO)
/

alter table GPE_PERFILCURSOVINC
    add constraint FKGPE_TRE_GPE_VINC foreign key  (NRORG, NRVINCULOM)
       references GPE_VINCULOM (NRORG, NRVINCULOM)
/

alter table GPE_PERFILCURSOVINC
    add constraint FKTREPERFVGPE_PERF foreign key  (NRORG, NRPERFILCURSO)
       references GPE_PERFILCURSO (NRORG, NRPERFILCURSO)
/

alter table GPE_CONTEUDOCURSO
    add constraint FKGPE_TRE_CONT_CURS foreign key  (NRORG, NRCURSO)
       references GPE_CURSO (NRORG, NRCURSO)
/

alter table GPE_CONTEUDOCURSO
    add constraint FKGPE_TRE_GPE_CONT foreign key  (NRORG, NRCONTEUDOCURSOSUP)
       references GPE_CONTEUDOCURSO (NRORG, NRCONTEUDOCURSO)
/

alter table GPE_AVALTREINAMENTO
    add constraint FKGPE_TRE_AVA_TREI foreign key  (NRORG, NRTREINAMENTO)
       references GPE_TREINAMENTO (NRORG, NRTREINAMENTO)
/

alter table GPE_PARTICIPATRE
    add constraint FKGPE_TRE_PARCNEGO foreign key  (NRORG, NRPARCNEGOCIO)
       references PARCNEGOCIO (NRORG, NRPARCNEGOCIO)
/

alter table GPE_PARTICIPATRE
    add constraint FKGPE_TRE_TIPORESU foreign key  (NRORG, CDTIPORESU)
       references TIPORESU (NRORG, CDTIPORESU)
/

alter table GPE_PARTICIPATRE
    add constraint FKGPE_TRE_PAR_TREI foreign key  (NRORG, NRTREINAMENTO)
       references GPE_TREINAMENTO (NRORG, NRTREINAMENTO)
/

alter table GPE_DESPESATRE
    add constraint FKGPE_TRE_DESP_TPCU foreign key  (NRORG, NRTPCUSTOTRE)
       references GPE_TPCUSTOTRE (NRORG, NRTPCUSTOTRE)
/

alter table GPE_DESPESATRE
    add constraint FKGPE_TRE_DES_TREI foreign key  (NRORG, NRTREINAMENTO)
       references GPE_TREINAMENTO (NRORG, NRTREINAMENTO)
/

alter table GPE_LOCALTREINAMENTO
    add constraint FKGPE_TRE_LOC_TREI foreign key  (NRORG, NRTREINAMENTO)
       references GPE_TREINAMENTO (NRORG, NRTREINAMENTO)
/

alter table GPE_LOCALTREINAMENTO
    add constraint FKGPE_TRE_ESTRUTUR foreign key  (NRESTRUTURAM, NRORG)
       references ESTRUTURAM (NRESTRUTURAM, NRORG)
/

alter table GPE_RESERVAPRODTRE
    add constraint FKGPE_TRE_PROD_TREI foreign key  (NRORG, NRTREINAMENTO)
       references GPE_TREINAMENTO (NRORG, NRTREINAMENTO)
/

alter table GPE_RESERVAPRODTRE
    add constraint FKGPE_TRE_PRODUTO foreign key  (NRORG, CDPRODUTO)
       references PRODUTO (NRORG, CDPRODUTO)
/

alter table GPE_DOCUMENTOTRE
    add constraint FKGPE_TRE_DOC_TREI foreign key  (NRORG, NRTREINAMENTO)
       references GPE_TREINAMENTO (NRORG, NRTREINAMENTO)
/

alter table GPE_ITPERFILCURSO
    add constraint FKGPE_ITPER_CURS foreign key  (NRORG, NRCURSO)
       references GPE_CURSO (NRORG, NRCURSO)
/

alter table GPE_ITPERFILCURSO
    add constraint FKGPE_TRE_GPE_PERF foreign key  (NRORG, NRPERFILCURSO)
       references GPE_PERFILCURSO (NRORG, NRPERFILCURSO)
/