<?php
namespace Geral\Entities;
use Fiscal\Logic\Encargo\Exceptions\Excecao;
use Geral\Exceptions\Exception;
use  \Geral\Repositories;
/**
 * Class Tradidioma
 * @package Geral\Entities
 * Eh altamente recomendado que ao criar um novo metodo nesta classe que documente ao menos pra que serve
 * este metodo
 */
class Tradidioma extends Base\Tradidioma
{
    /**
     * @param null $cdoperador
     * @return string Código de idioma do operador
     */
    public static function retornaIdiomaOperador($cdoperador=null,$nrorg=null){
        $operador=null;
        $org=null;
        //se já tiver setado idioma no ambiente retorna o que foi setado anteriormente evitando idas sucessivas ao banco
        //devido característica comportamental do framework
        if(isset($_SESSION["IDIOMA_OPERADOR"])){
//            tk_message('setou cdidioma da sessao '.$_SESSION["IDIOMA_OPERADOR"]);
            return $_SESSION["IDIOMA_OPERADOR"];
        }
        else{
            if($nrorg == null){
                try{
                    $nrorg=\Geral\Util\Ambiente::getNrorgoper();
                    $org = Organizacao::findOneByNrorg($nrorg);
                }
                catch(\Exception $e){
                    //leandroafonso 08/08
                    //suprime mensagem, operador ainda não logado.
                }
            }
            else{
                $org = Organizacao::findOneByNrorg($nrorg);
            }
            if($cdoperador == null){
                try{
                    $cdoperador=\Geral\Util\Ambiente::getCdOperador();
                    $operador = Operador::findOneByCdoperador($cdoperador);
                }
                catch(\Exception $e){
                    //leandroafonso 08/08
                    //suprime mensagem, operador ainda não logado.
                }
            }
            else{
                $operador = Operador::findOneByCdoperador($cdoperador);
            }
            if(is_object($org)){
                if($org->getIdidioma()!== null){
                    $ididioma=$org->getIdidioma();
                }
            }
            if(is_object($operador)){
                if($operador->getIdidioma()){
                    $ididioma = $operador->getIdidioma();
                }
            }

            if(!empty($ididioma)){//se existir o parâmetro de idioma no banco busca e define no ambiente
                $tradidioma = self::findOneByIdidiomaAndNrorg($ididioma,$nrorg);
                $cdidioma = $tradidioma->getCdidioma();
                if(!empty($cdidioma)){
                    $lang = $tradidioma->getCdidioma();
                    $ln = explode("-",$lang);
                    $lang = implode('_',$ln);
//                    tk_message('setou cdidioma do banco '.$lang);
                    $_SESSION["IDIOMA_OPERADOR"] = $lang;
                    return $lang;
                }
            }
            //se chegar aqui é porque não existe idioma para o operador nem para a organização, desta maneira
            //pega o idioma do browser e retorna como idioma do operador
            if(isset($_SERVER['HTTP_ACCEPT_LANGUAGE'])){
                $lang = substr($_SERVER['HTTP_ACCEPT_LANGUAGE'], 0, 2);
                if($lang =='pt'){
                    return 'pt_BR';
                }
                else{
                    $lang.='_'.strtoupper($lang);

                }
            }
            //Se por ventura não conseguir setar o idioma do operador através do idioma do browser define hard que o idioma
            //padrão é português Brasil. Este caso pode acontecer em situação de uso do método para execução agendada.
            if(empty($lang)){
                return 'pt_BR';
            }

//            tk_message('setou cdidioma do browser '.$lang);
            return $lang;
        }
    }
}